# _SceKernelUtilsSha1Context Struct Reference
[Utils Library]

`#include <sdk/user/psputils.h>`

## Detailed Description

Type to hold a sha1 context.

## Data Fields

unsigned int | h [5]
short unsigned int | usRemains
short unsigned int | usComputed
long long unsigned int | ullTotalLen
unsigned char | buf [64]

## Field Documentation

unsigned char _SceKernelUtilsSha1Context::buf[64]

unsigned int _SceKernelUtilsSha1Context::h[5]

long long unsigned int _SceKernelUtilsSha1Context::ullTotalLen

short unsigned int _SceKernelUtilsSha1Context::usComputed

short unsigned int _SceKernelUtilsSha1Context::usRemains

The documentation for this struct was generated from the following file:

- sdk/user/psputils.h